• Register

Unavailability Productive Units

[GET] https://api.terna.it/outages/v1.0/generation-unit-unavailability 

Authorization OAuth 2.0

Request Header

API field Type Description Format Card Example
Authorization String Token 1..1   <your access token>
businessID String Identificativo facoltativo che può essere utilizzato per identificare il messaggio durante la fase di analisi quando si apre un ticket al support team di Terna. 0..1 b57aca2f-41b8-4a6e-a43c-2fc5f8309f94
Accept String 0..1 Application/Json

Query Params

API field Type Description Format Card Example
dateFrom string starting date of extraction 1..1
dateTo string ending date of extraction 1..1

Response Structure 200

API field Type Description Format Card Example
result 0..1
.messagge string 0..1 OK
.status string 0..1 Completed
planned_outages array 0..n
.publication_date string 0..1 2023-10-24
.date_tz string 0..1 Europe/Rome
.unit_name string 0..1
.plant_name string 0..1
.plant_type string 0..1
.biddingZone string 0..1 SICI
.installed_capacity string 0..1
.outage_type string 0..1
.start_date string yyyy/mm/dd 0..1 2023/04/09
.stop_date string yyyy/mm/dd 0..1 2023/04/09
.stop_date_update string yyyy/mm/dd 0..1 2023/04/09
.unavailable_capacity string 0..1
.unavailable_status string 0..1

Response Structure 406

API field Type Description Format Card Example
result 0..1
.messagge string 0..1 Input Validation Error: the value entered is incorrect or does not conform to the expected format. Value entered: 200
.status string 0..1 ERROR

Response Structure 500

API field Type Description Format Card Example
result 0..1
.messagge string 0..1 Information retrieval error
.status string 0..1 ERROR

Example

cURL Request

curl --location --request GET 'https://api.terna.it/outages/v1.0/generation-unit-unavailability?dateFrom=22/11/23&dateTo=22/11/23' --header 'Authorization: <token>'

Response

{
        "result": {
          "messagge": "OK",
          "status": "Completed"
        },
        "planned_outages": [
          {
            "publication_date": "2023-10-24",
            "date_tz": "Europe/Rome",
            "unit_name": null,
            "plant_name": null,
            "plant_type": null,
            "biddingZone": "SICI",
            "installed_capacity": null,
            "outage_type": null,
            "start_date": "2023/04/09",
            "stop_date": "2023/04/09",
            "stop_date_update": "2023/04/09",
            "unavailable_capacity": null,
            "unavailable_status": null
          }
        ]
}